#{extends 'common/landing-base.html' /}
#{set 'title'}
<h1>View Content</h1>
#{/set}

<section class="header-banner-kl word-break">
    <div class="ui container">
        #{if preview}
        <a href="#{url route.cms_contentcontroller_index /}"><i class="arrow alternate circle left outline icon"></i> Kembali ke Manajemen Konten</a>
        <h2 class="ui aligned center text">Preview Template Profile K/L/P/D</h2>
        #{/if}
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="img-banner-kl" style="background-image: url(${content?.getFeaturedImageUrl()})"></div>
                <div class="text-absolute">
                    <div class="title-company">${content?.title}</div>
                    <div>${content?.getProfileCreatedInformation()}</div>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="profile-kl word-break">
    <div class="ui container">
        <input type="hidden" id="vision" class="vision" value="${content?.vision}">
        <input type="hidden" id="mission" class="mission" value="${content?.mission}">
        <input type="hidden" id="konten_bebas" class="konten_bebas" value="${content?.content}">
        <input type="hidden" id="mou" class="mou" value="${content?.mou}">
        <input type="hidden" id="regulation" class="regulation" value="${content?.regulation}">
        <input type="hidden" id="freeContent" class="freeContent" value="${content?.free_content}">

        <div class="ui grid centered stackable">
            <div class="ten wide column">
                <div class="visi">VISI : </div>
                <div class="desc-kl vision_show pad-b-10">
                </div>
                <div class="visi">MISI : </div>
                <div class="desc-kl mission_show pad-b-10">
                </div>
                <div class="visi">KONTEN BEBAS : </div>
                <div class="desc-kl konten_bebas_show pad-b-10">
                </div>
                <div class="ui divider hidden"></div>
                <div class="ui divider hidden"></div>
                <div class="ui divider hidden"></div>
                #{cms.file-list files:content?.getMouFiles(), title:"File MOU" /}
                #{cms.file-list files:content?.getRegulationFiles(), title:'File Regulasi' /}
                #{cms.file-list files:content?.getArticleExtras(), title:"File Bebas" /}
            </div>
        </div>
        <br />

        <h3>Summary Pengadaan</h3>
        <div class="ui seven column grid doubling stretched center aligned summary">
            %{
                rekapPengadaan = content?.getRekapPengadaan()
                year = content?.getYearFromCreatedAt()
                yearMessage = 'Tahun ' + year
            }%
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${rekapPengadaan?.total_anggaran?.formatCurrenciesJuta()}</div>
                        <div class="description">Belanja K/L/PD</div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${rekapPengadaan?.belanja_pengadaan?.formatCurrenciesJuta()}</div>
                        <div class="description">Belanja Pengadaan</div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${rekapPengadaan?.rencana_pagu?.formatCurrenciesJuta()}</div>
                        <div class="description">Perencanaan Pengadaan</div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${rekapPengadaan?.pelaksanaan_pagu?.formatCurrenciesJuta()}</div>
                        <div class="description">Pemilihan</div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${rekapPengadaan?.hasil_pagu?.formatCurrenciesJuta()}</div>
                        <div class="description">Hasil</div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${rekapPengadaan?.kontrak?.formatCurrenciesJuta()}</div>
                        <div class="description">Kontrak</div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${rekapPengadaan?.pembayaran?.formatCurrenciesJuta()}</div>
                        <div class="description">Pembayaran</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ui grid">
            <div class="sixteen wide column pad-t-zero italic font-bold color-red">
                *dalam rupiah
            </div>
        </div>

        <h3>Informasi Pengadaan Lainnya</h3>
        <div class="ui five column grid doubling stretched summary center aligned">
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${content?.getCertificateCompetencies()?.getAll()}</div>
                        <div class="description">
                            Pemegang Sertifikat Kompetensi JABFUNG PPBJ
                        </div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${content?.getOcupationalMeta()?.getAll()}</div>
                        <div class="description">
                            Pemegang Sertifikat Okupasi

                        </div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${content?.getJabfungPbj()?.getAll()}</div>
                        <div class="description">
                            JABFUNG PPBJ
                        </div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${content?.getTotalCertificateHolder()}</div>
                        <div class="description">
                            Pemegang Sertifikat PBJ Tk. Dasar

                        </div>
                    </div>
                </div>
            </div>
            <div class="column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="header">${content?.getTotalBlacklist()}</div>
                        <div class="description">
                            Daftar Hitam
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>
#{set 'moreStyles'}
<style>
.column {position: relative;}
.content-article .text .span {font-weight: 600;font-size: 15px}
.content-article .text {position: absolute;margin: 0 auto;text-align: left;top: 80%;color: #fff;padding-left: 3%}
.content-article .text h2 {font-size: 30px;color: #fff;margin: 0}
.tampil {padding-top: 1rem;padding-bottom: 1rem;text-align: justify;text-justify: inter-word;}
</style>
#{/set}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/jquery.blockui.js'}"></script>
<script>
$(document).ready(function() {
$('.vision_show').html($('.vision').val());
$('.mission_show').html($('.mission').val());
$('.konten_bebas_show').html($('.konten_bebas').val());
});

</script>
#{/set}